Skip to main content
GET
List All Services

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using your Tiger Cloud public key and secret key.

Format: Authorization: Basic <base64(public_key:secret_key)>

Example:

Path Parameters

project_id
string
required

The unique identifier of the project.

Example:

"rp1pz7uyae"

Response

A list of services.

service_id
string

The unique identifier for the service.

project_id
string

The project this service belongs to.

name
string

The name of the service.

region_code
string

The cloud region where the service is hosted.

Example:

"us-east-1"

service_type
enum<string>

The type of the service.

Available options:
TIMESCALEDB,
POSTGRES,
VECTOR
created
string<date-time>

Creation timestamp

initial_password
string<password>

The initial password for the service.

Example:

"a-very-secure-initial-password"

paused
boolean

Whether the service is paused

status
enum<string>

Current status of the service

Available options:
QUEUED,
DELETING,
CONFIGURING,
READY,
DELETED,
UNSTABLE,
PAUSING,
PAUSED,
RESUMING,
UPGRADING,
OPTIMIZING
resources
object[]

List of resources allocated to the service

metadata
object

Additional metadata for the service

endpoint
object
vpcEndpoint
object | null

VPC endpoint configuration if available

forked_from
object
ha_replicas
object
connection_pooler
object
read_replica_sets
object[]